#!/bin/bash

# Slurm settings
#SBATCH --partition carl.p
#SBATCH --ntasks 1
#SBATCH --array 1-4

# modules
module load hpc-env/8.3
module load R/4.0.2-foss-2019b

# executing task script with task specific cmd-line arg
echo "Job started on $(date)"
# read line from task.list (\$0 = full line, \$1 = first column in line)
task_input=$(awk "NR==$SLURM_ARRAY_TASK_ID {print \$0}" task.list)
echo "Executing task $SLURM_ARRAY_TASK_ID"
eval $task_input
#./HelloWorld_task.R $task_input
status=$?
echo "Job finished on $(date) with status $status"
exit $status
