#!/usr/bin/env Rscript

# print a message
message <- "Hello World!"
print(message)

# get one or more command-line arguments that define the task
args <- commandArgs(trailingOnly=TRUE)
if (length(args)>0) {
   message <- "Hello"
   for (a in args) {
      message <- paste(message, a)
   }
   print(message)
}

# get information from the environment
jid <- Sys.getenv("SLURM_JOB_ID")
tid <- Sys.getenv("SLURM_ARRAY_TASK_ID")
if (jid != "") {
   if (tid != "") {
      print(paste("My job id is", jid, "and my task id is", tid))
   } else {
      print(paste("My job id is", jid))
   }
} else {
   print("I do not have a job id")
}
